import 'package:flutter/material.dart';
import 'package:flutter_helper/flutter_helper.dart';
import 'package:flutter_helper/src/Enums/PaddingEnum.dart';
import 'package:flutter_helper/src/Views/BorderView.dart';

class ChildrenUtil {
  List<Widget> getAllPaddedGridChildren(List<Widget> children, {PaddingEnum paddingEnum = PaddingEnum.all, double padding = 12}) {
        for (var i = 0; i < children.length; i++) {
      children[i] = children[i] is SizedBox ? children[i] : i == children.length - 1 ? Padding(
        child: children[i],
        padding: i % 2 == 0
            ? const EdgeInsets.only(top: 12, left: 12, right: 6, bottom: 12)
            : const EdgeInsets.only(top: 12, left: 6, right: 12, bottom: 12),
      ) : Padding(
        child: children[i],
        padding: i % 2 == 0
            ? const EdgeInsets.only(top: 12, left: 12, right: 6)
            : const EdgeInsets.only(top: 12, left: 6, right: 12),
      );
    }

    return children;
  }

  List<Widget> getAllPaddedChildren(List<Widget> children, {PaddingEnum paddingEnum = PaddingEnum.all, double padding = 12}) {
    for (var i = 0; i < children.length; i++) {
      children[i] = children[i] is SizedBox ? children[i] : PaddedView(
        child: children[i],
        paddingEnum: i == children.length - 1 ? paddingEnum : PaddingEnum.topHorizontal,
        padding: padding,
      );
    }

    return children;
  }

  List<Widget> getDividedChildren(List<Widget> children) {
    for (var i = 0; i < children.length; i++) {
      children[i] = BorderView(
          child: children[i]
      );
    }

    return children;
  }
}