import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ExpansionPanelView extends StatefulWidget {
  final Widget title;
  final Widget child;
  final Widget icon;

  ExpansionPanelView({
    this.title,
    this.child,
    this.icon
  });

  @override
  _ExpansionPanelViewState createState() => _ExpansionPanelViewState();
}

class _ExpansionPanelViewState extends State<ExpansionPanelView> {
  bool _isExpanded = false;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(4),
        border: Border.all(color: Colors.grey),
      ),
      child: ClipRRect(
        borderRadius: BorderRadius.circular(4),
        child: ExpansionPanelList(
          elevation: 0,
          expandedHeaderPadding: EdgeInsets.all(0.0),
          expansionCallback: (int index, bool isExpanded) {
            setState(() {
              _isExpanded = !_isExpanded;
            });
          },
          children: [
            ExpansionPanel(canTapOnHeader: true, isExpanded: _isExpanded, headerBuilder: (context, isExpanded) {
              return ListTile(
                title: widget.title,
              );
            }, body: widget.child),
          ],
        ),
      ),
    );
  }
}
