import 'package:flutter/material.dart';
import 'package:flutter_helper/src/Views/AppBarView.dart';

class TopNavigationView extends StatefulWidget {
  final List<Widget> children;
  final List<String> tabs;
  final int length;

  TopNavigationView({
    this.children,
    this.tabs,
    this.length
  });

  @override
  _TopNavigationViewState createState() => _TopNavigationViewState();
}

class _TopNavigationViewState extends State<TopNavigationView> {
  @override
  Widget build(BuildContext context) {
    return DefaultTabController(
      length: widget.length,
      child: Scaffold(
        appBar: AppBarView(
            title: Text("Profile"),
            bottom: TabBar(tabs: widget.tabs.map((String text) => Tab(text: text)).toList())
        ),
        body: TabBarView(children: widget.children),
      ),
    );
  }
}
